require 'yaml'

require 'haredo/config'

HAREDO_DEFAULT_DAEMON_NAME = '/usr/bin/haredo'

module HareDo
module Service

module Config 

  include HareDo::Config

  # @return Returns PID of running daemon if it corresponds to a running
  # process. Returns nil otherwise.
  def daemonPid()
    pid = File.open(@pid_file, 'a+').read().strip.chomp
    
    return nil if pid.size == 0

    if Dir.exist?("/proc/#{pid}")
      return pid 
    end

    return nil
  end

end # class Context

end # module Service
end # module HareDo
